<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 99</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 99: relecture du papier 14</H1>

<P>
Numero du papier: 14
<P>
Nom du papier et auteurs: Semantique parallele d'un 
langage fonctionnel indulgent. G.Tremblay, B.Malenfant.


<H2>1</H2>

<P>
Nom du rapporteur: A.Asperti
<P>
Confiance en la note: 3
<P>  1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.

<P>Notation du papier: 2
<P>  1: a rejeter; 2: ininteressant; 3: acceptable;
<P>  4: bon papier; 5: tres bon papier

<P>Commentaires aux auteurs:

<P>Commentaires reserves au comite de programme:
<P>
The authors give a denotational semantics for an indulgent
functional language (i.e. where the arguments are evaluated 
in parallel with the function) by a translation into the
pi-calculus. The idea is not original, and can be found 
in many other papers. No correctness proof is given. 
To validate the translation they wrote a prototype
in java.<P> 
Poor. 

<H2>2</H2>

<P>Nom du rapporteur: Roberto Di Cosmo

<P>Confiance en la note: 2
<P> (1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.)

<P>Notation du papier: 3
<P> (1: a rejeter; 2: ininteressant; 3: acceptable;
<P>  4: bon papier; 5: tres bon papier)

<P>Commentaires aux auteurs:

<P>Ce  papier considere  un langage  fonctionnel dit  "indulgent", ce  qui signifie
qu'on  permet d'evaluer   les  arguments d'une  fonction   en parallele avec  la
fonction  elle  meme, pour proceder   ensuite a une evaluation   du  corps de la
fonction  avec  les  parametres formels  associes a   la fermeture disponible au
moment du passage des  parametres.  Cette  classe de  langages est en  effet une
abstraction d'un modele  d'evaluation parallele proposee pour  Haskell il y a un
certain nombre   d'annees pour  execution  sur la  machine    GUM. Il faut  bien
comprendre  qu'il  s'agit   toujours  de  langages "sequentiels" dans   le  sens
technique du terme, meme si on prevoit que l'evaluation soit parallelisable.

<P>Dans ce papier, on donne  la semantique du noyau d'un  de ces langages (kph) par
le biais  d'une traduction dans le  pi-calcul qui est  conc,ue pour permettre le
plus  haut degre de    parallelisme.   Une caracteristique  amusante  de   cette
traduction est    la possibilite  de   modeliser, a  peu  de  frais,  differente
strategies a degre de parallelisme plus ou moins (ex. stricte) eleve.

<P>Seul  grief majeur, qui motive  la note: plutot  que montrer que leur semantique
par traduction est  correcte,   propriete essentielle de toute  semantique,  les
auteurs ont prefere developper un interpreteur de pi-calcul en Java qui a permis
d'obtenir immediatement un interpreteur de kph.

<P>Commentaires reserves au comite de programme:


</BODY>
</HTML>
